Skip to main content
POST
/
audio
/
quote
/api/v1/audio/quote
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "duration_seconds": 60,
  "character_count": 100
}
'
{
  "quote": 0.75
}
Use this endpoint before /audio/queue to estimate the USD cost of an audio generation request for the selected model and parameters.

Postman Collection

For additional examples, please see this Postman Collection.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required

The model to get a price quote for.

Example:

"elevenlabs-music"

duration_seconds

Optional duration hint in seconds. Only supported for models that expose duration metadata via /models. Accepts either an integer or a numeric string. If omitted, the model default duration is used when available.

Required range: x > 0
Example:

60

character_count
integer

Optional character count for character-based pricing models. Required when the selected model uses pricing.per_thousand_characters in /models.

Required range: x > 0
Example:

100

Response

Price quote for audio generation

quote
number
required

The estimated price in USD for the audio generation.

Example:

0.75